# For the general syntax of property based configuration files see the
# documenation of org.apache.log4j.PropertyConfigurator.

# The root category uses the appender called A1. Since no priority is
# specified, the root category assumes the default priority for root
# which is DEBUG in log4j. The root category is the only category that
# has a default priority. All other categories need not be assigned a
# priority in which case they inherit their priority from the
# hierarchy.

### Root Setting ###
log4j.rootLogger=ERROR
log4j.rootCategory=ERROR

### Category & Debug level setting ###
log4j.category.jp.co.sint=DEBUG, App
#########log4j.category.org.apache=ERROR

### Webshopping Application Log setting ###
log4j.appender.App=org.apache.log4j.ConsoleAppender

log4j.appender.App=org.apache.log4j.FileAppender
log4j.appender.App.File=C:/jakarta-apache/log4jConfig/SIWebshopping.log
log4j.appender.App.Append=true
log4j.appender.App.layout=org.apache.log4j.PatternLayout
###log4j.appender.App.layout.ConversionPattern=%-d{yyyy-MM-dd HH:mm:ss} [%-5p] [%F:%L] %c{2} - %m%n
log4j.appender.App.layout.ConversionPattern=%-d{yyyy-MM-dd HH:mm:ss} [%-5p] [%F:%L] - %m%n
#log4j.appender.App.layout.ConversionPattern=%d [%5p] - %m%n
#log4j.appender.App.layout.ConversionPattern=%d [%5p] (%F:%L) - %m%n
log4j.appender.App=org.apache.log4j.RollingFileAppender
log4j.appender.App.MaxFileSize = 10MB
log4j.appender.App.MaxBackupIndex=7

